Name:		apt
Version:	0.3.19cnc55
Release:	1.5.0
Summary:	Debian's Advanced Packaging Tool with RPM support.
Group:		Administration
License:	GPL
Source0:	apt-%{version}.tar.gz
Source1:	apt.conf
Source2:	sources.list-1.2.1
Source3:	vendors.list-1.2.2
Source4:	engarde-pgp-key
Patch0:		apt-rpmpriorities-cl7.patch
Requires:	rpm, gnupg
BuildRoot:	%{_tmppath}/%{name}-%{release}-root

%description
Debian's Advanced Packaging Tool with RPM support.

%files
  %defattr(0644,root,root,755)
  %doc COPYING* README* TODO
  %doc docs/examples/configure-index
  %doc docs/examples/vendors.list
  %doc docs/examples/sources.list
  %doc %{_mandir}/man?/*

  %{_libdir}/libapt-pkg.so.*
  %{_datadir}/locale/*/LC_MESSAGES/%{name}.mo

  %attr(0750,root,admin)	%dir %{_sysconfdir}/apt
  %attr(0640,root,admin)	%config(noreplace) %{_sysconfdir}/apt/apt.conf 
  %attr(0640,root,admin)	%config(noreplace) %{_sysconfdir}/apt/sources.list
  %attr(0640,root,admin)	%config(noreplace) %{_sysconfdir}/apt/vendors.list
  %attr(0640,root,admin)	%config %{_sysconfdir}/apt/ENGARDE-GPG-KEY
  %attr(0640,root,admin)	%config %{_sysconfdir}/apt/rpmpriorities

  %dir %{_localstatedir}/cache/apt
  %dir %{_localstatedir}/cache/apt/genpkglist
  %dir %{_localstatedir}/cache/apt/gensrclist
  %dir %{_localstatedir}/cache/apt/archives       
  %dir %{_localstatedir}/cache/apt/archives/partial
  %dir %{_localstatedir}/state/apt
  %dir %{_localstatedir}/state/apt/lists
  %dir %{_localstatedir}/state/apt/lists/partial
  %defattr(755,root,root)
  %dir %{_libdir}/apt
  %{_libdir}/apt/*
  %{_bindir}/apt-get
  %{_bindir}/apt-cache
  %{_bindir}/apt-cdrom
  %{_bindir}/apt-config
  %{_bindir}/genpkglist
  %{_bindir}/gensrclist
  %{_bindir}/genbasedir


%package devel
Summary:	Development files and documentation for APT's libapt-pkg
Group:		Development
PreReq:		%{name} = %{version}-%{release}

%description devel
Debian's Advanced Packaging Tool with RPM support -- development libraries.

%files devel
  %defattr(0644,root,root,755)
  %{_libdir}/libapt-pkg.so
  %{_includedir}/apt-pkg
  %doc docs/*.text.gz docs/*.html


%prep
%setup -q
%patch0 -p1

%build
  ./configure i386-engarde-linux --prefix=/usr --exec-prefix=/usr \
	--bindir=/usr/bin --sbindir=/usr/sbin --sysconfdir=/etc \
	--datadir=/usr/share --includedir=/usr/include --libdir=/usr/lib \
	--libexecdir=/usr/libexec --localstatedir=/var  \
	--mandir=/usr/share/man --infodir=/usr/share/info

  make CXXFLAGS="$RPM_OPT_FLAGS"
  tar xzf docs.tar.gz
  gzip docs/*.text

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  mkdir -p %{buildroot}%{_localstatedir}/cache/%{name}/archives/partial
  mkdir -p %{buildroot}%{_localstatedir}/cache/%{name}/genpkglist
  mkdir -p %{buildroot}%{_localstatedir}/cache/%{name}/gensrclist
  mkdir -p %{buildroot}%{_localstatedir}/state/%{name}/lists/partial

  mkdir -p %{buildroot}%{_libdir}/
  cp -a bin/libapt-pkg.so.* %{buildroot}%{_libdir}/
  cp -a bin/libapt-pkg.so %{buildroot}%{_libdir}/

  install -D bin/apt-get %{buildroot}%{_bindir}/apt-get
  install -D bin/apt-cache %{buildroot}%{_bindir}/apt-cache
  install -D bin/apt-config %{buildroot}%{_bindir}/apt-config
  install -D bin/apt-cdrom %{buildroot}%{_bindir}/apt-cdrom
  install -D bin/genpkglist %{buildroot}%{_bindir}/genpkglist
  install -D bin/gensrclist %{buildroot}%{_bindir}/gensrclist
  install -D tools/genbasedir %{buildroot}%{_bindir}/genbasedir

  mkdir -p %{buildroot}%{_includedir}/apt-pkg/
  install -D apt-pkg/*.h %{buildroot}%{_includedir}/apt-pkg/
  install -D apt-pkg/*/*.h %{buildroot}%{_includedir}/apt-pkg/

  mkdir -p %{buildroot}/%{_mandir}/man5/
  mkdir -p %{buildroot}/%{_mandir}/man8/
  install -D doc/apt.conf.5 %{buildroot}/%{_mandir}/man5/apt.conf.5
  install -D doc/sources.list.5 %{buildroot}/%{_mandir}/man5/sources.list.5
  install -D doc/vendors.list.5 %{buildroot}/%{_mandir}/man5/vendors.list.5
  install -D doc/apt-cache.8 %{buildroot}/%{_mandir}/man8/apt-cache.8
  install -D doc/apt-config.8 %{buildroot}/%{_mandir}/man8/apt-config.8
  install -D doc/apt.8 %{buildroot}/%{_mandir}/man8/apt.8
  install -D doc/apt-cdrom.8 %{buildroot}/%{_mandir}/man8/apt-cdrom.8
  install -D doc/apt-get.8 %{buildroot}/%{_mandir}/man8/apt-get.8

  mkdir -p %{buildroot}%{_libdir}/apt
  install  bin/methods/* %{buildroot}%{_libdir}/apt

  install -D %{SOURCE1} %{buildroot}%{_sysconfdir}/apt/apt.conf
  install -D %{SOURCE2} %{buildroot}%{_sysconfdir}/apt/sources.list
  install -D %{SOURCE3} %{buildroot}%{_sysconfdir}/apt/vendors.list
  install -D %{SOURCE4} %{buildroot}%{_sysconfdir}/apt/ENGARDE-GPG-KEY
  install -D rpmpriorities %{buildroot}%{_sysconfdir}/apt/rpmpriorities

  (cd po;make install DESTDIR=%{buildroot})

%post
  ldconfig -n %{_libdir}

%postun
  ldconfig -n %{_libdir}

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Feb 26 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.5.0
  - Initial build for EnGarde v1.5 (Thrust).

* Fri Jan 31 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Version 0.3.19cnc55, Release 1.2.2
  - Fix typo in vendors.list.

* Thu Jan 30 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Version 0.3.19cnc55, Release 1.2.1
  - Rebuilt with a correct rpm/macros.
  - Added us to vendors.list.
  - Added empty sources.list.
  - Store our key in /et/apt.

* Thu Jan 30 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Version 0.3.19cnc55, Release 1.2.0
  - Initial build for EnGarde.
